Loading...
Searching...
No Matches
PlotWaterfall Class Reference
GNU Radio C++ Signal Processing Blocks » QT Graphical Interfaces

A plot item, which displays a waterfall spectrogram. More...

`#include <gnuradio/qtgui/plot_waterfall.h>`

## Public Member Functions

| PlotWaterfall (WaterfallData *data, const QString &title=QString())
| ~PlotWaterfall () override
const WaterfallData * | data () const
void | setColorMap (const QwtColorMap &)
const QwtColorMap & | colorMap () const
int | rtti () const override

## Protected Member Functions

QImage | renderImage (const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &rect, const QSize &size=QSize(0, 0)) const override

## Detailed Description

A plot item, which displays a waterfall spectrogram.

A waterfall displays three-dimensional data, where the 3rd dimension (the intensity) is displayed using colors. The colors are calculated from the values using a color map.

See also
  QwtRasterData, QwtColorMap

## Constructor & Destructor Documentation

## PlotWaterfall()

PlotWaterfall::PlotWaterfall | ( | WaterfallData * | data,
|  | const QString & | title = QString() )

explicit

References data().

## ~PlotWaterfall()

PlotWaterfall::~PlotWaterfall | ( |  | ) |

override

## Member Function Documentation

## colorMap()

const QwtColorMap & PlotWaterfall::colorMap | ( |  | ) | const

## data()

const WaterfallData * PlotWaterfall::data | ( |  | ) | const

Referenced by PlotWaterfall().

## renderImage()

QImage PlotWaterfall::renderImage | ( | const QwtScaleMap & | xMap,
|  | const QwtScaleMap & | yMap,
|  | const QRectF & | rect,
|  | const QSize & | size = QSize(0, 0) ) const

override protected

## rtti()

int PlotWaterfall::rtti | ( |  | ) | const

override

## setColorMap()

void PlotWaterfall::setColorMap | ( | const QwtColorMap & |  | ) |

The documentation for this class was generated from the following file:

- plot_waterfall.h